Create Widget URL (Cards, Apple Pay)

View as Markdown
This API creates a widgetUrl to securely store widget query parameters and authentication context. This facilitates secure widget interactions by encapsulating info in a sessionId. <Callout intent="note"> This API should be called only from the partner’s backend and subjected to the whitelisting of partner's IPs addresses. Direct API calls from the frontend apps are not supported. Each widgetUrl can be used only once and is valid only for 5 minutes from the time of creation. </Callout>

Headers

authorizationstringRequired

Authorization token is the accessToken received from the API - api/v2/auth/verify

access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Request

This endpoint expects an object.
widgetParamsobjectRequired

Transak Widget accepts query parameters as a JSON object. Below are some example query parameters.You can refer to the complete list of Transak Query Parametersfor more configuration options.

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error